<template>
  <div class="dibs--form--input--with-picto">
    <dibs-input-text
      :id="id"
      v-model="currentValue"
      :mask="mask"
      :default="defaultValue"
      :placeholder="placeholder"
      type="number"
      :max="100"
      :min="0"
    />
    <div class="dibs--form--input--picto">%</div>
  </div>
</template>
<script>
export default {
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String, Number],
      default: null,
    },
    mask: {
      type: [String],
      required: false,
      default: '',
    },
    placeholder: {
      type: [String],
      required: false,
      default: null,
    },
  },
  data() {
    return {
      defaultValue: this.default,
      currentValue: this.default,
    }
  },
  watch: {
    currentValue(value) {
      this.$emit('input', value)
    },
  },
}
</script>
